<?php get_header(); ?>
<div id="content">

<?php if(isset($_GET['author_name'])) $curauth = get_userdatabylogin($author_name);
else $curauth = get_userdata(intval($author));?>

<div <?php post_class(); ?>>
<h2 class="post-title"><?php _e('About', 'victorianxmas');?> <?php echo $curauth->display_name; ?></h2>
<dl>
<dt><?php _e('Website', 'victorianxmas');?>:</dt>
<dd><?php if($curauth->user_url) echo '<a href="'.$curauth->user_url.'">'.$curauth->user_url.'</a>';
else _e('No site listed', 'victorianxmas');?>
</dd>

<dt><?php _e('Profile', 'victorianxmas');?>:</dt>
<dd><?php if($curauth->user_description) echo $curauth->user_description; 
else _e('No profile details', 'victorianxmas') ;?>
</dd>
</dl>
</div>

<div <?php post_class('authorposts'); ?>>
<h2 class="post-title"><?php _e('Posts by', 'victorianxmas');?> <?php echo $curauth->display_name; ?>:</h2>
<?php if (have_posts()) : ?>
<ul class="post-list">

<?php while (have_posts()) : the_post(); ?>

<li><h3 class="post-title" id="post-<?php the_ID();?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Post', 'victorianxmas');?> <?php the_ID(); ?> - <?php _e('Permanent link', 'victorianxmas');?>"><?php the_title(); ?></a></h3>

<ul class="meta">
<li><?php _e('Filed under:','victorianxmas');?> <ul><li><?php the_category(',</li> <li>') ?></li></ul></li>
<?php if(get_the_tag_list()) :?>
<li><?php _e('Tags:','victorianxmas');?> <?php the_tags('<ul><li>',',</li> <li>','</li></ul>');?></li>
<?php endif;?>
</ul>

</li>
<?php endwhile;?>
</ul>

<ul class="prevnext">
<li class="older"><?php next_posts_link(__('Older Posts','victorianxmas') ); ?></li>
<li class="newer"><?php previous_posts_link(__('Newer Posts','victorianxmas') );?></li>
</ul>

<p class="top"><a href="#top" title="<?php _e('Go to top of page','victorianxmas');?>"><?php _e('Top','victorianxmas');?></a></p>

<?php else : endif; ?>
</div>

<div style="clear: both;"></div>
</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>