<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html <?php language_attributes(); ?> xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/1">
<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo('charset'); ?>" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_get_archives('type=monthly&format=link'); ?>

<title><?php if(is_search()) {
	if(trim(get_search_query()) != '') printf(__('Search Results for \'%1$s\' on %2$s','victorianxmas'), trim(get_search_query()), get_bloginfo('name') );
	else printf(__('%1$s: No search term entered!','victorianxmas'), get_bloginfo('name') );
}
elseif( is_home() || is_front_page() ) printf( __( '%1$s: %2$s', 'victorianxmas'), get_bloginfo('name'), get_bloginfo('description') );
elseif (is_category() || is_author()) printf( __('%1$s: %2$s', 'victorianxmas'), wp_title('',false), get_bloginfo('name') );
elseif(is_tag()) printf(__('Entries tagged with \'%1$s\' on %2$s','victorianxmas'), wp_title('',false), get_bloginfo('name') );
elseif(is_archive() && function_exists('victorianxmas_get_archive_date')) printf( __('Archives for %1$s on %2$s', 'victorianxmas'), victorianxmas_get_archive_date(), get_bloginfo('name') );
elseif(is_404()) printf(__('%1$s: Page not found!','victorianxmas'), get_bloginfo('name') );
elseif (have_posts()) printf(__('%1$s: %2$s', 'victorianxmas'), wp_title('',false), get_bloginfo('name') );
else printf( __('%1$s: %2$s', 'victorianxmas'), get_bloginfo('name'), get_bloginfo('description') );?>
</title>

<?php if(is_singular()) wp_enqueue_script( 'comment-reply' );?>
<?php wp_head(); ?>
</head>

<body id="top" <?php body_class();?>>
<div id="inner-body">
<div id="skiptomenu"><a href="#vx_main"><?php _e('Jump to navigation menu','victorianxmas');?></a></div>

<div id="wrapper">

<div id="header">
<h1><a href="<?php echo home_url(); ?>"><span><?php bloginfo('name'); ?></span></a></h1>
</div>

